# $Revision: 1.4 $, $Date: 2004/05/30 13:17:28 $
%define		_decoration 	ridge
Summary:	Kwin decoration - %{_decoration}
Summary(pl):	Dekoracja kwin - %{_decoration}
Name:		kde-decoration-%{_decoration}
Version:	0.3.1
Release:	2
License:	GPL
Group:		Themes
Source0:	http://kde-look.org/content/files/10429-%{_decoration}-%{version}.tar.bz2
# Source0-md5:	b5aa08aec4a278d34ad04d36f6f14d43
URL:		http://kde-look.org/content/show.php?content=10429
BuildRequires:	autoconf
BuildRequires:	unsermake
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	kdebase-desktop-libs >= 9:3.2.0
Requires:	kdebase-desktop-libs >= 9:3.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A kwin window decoration with flat, square buttons.

%description -l pl
Dekoracja kwin z paskimi, kwadratowymi przyciskami.

%package -n kde-colorscheme-%{_decoration}
Summary:	Color scheme for KDE style - %{_decoration}
Summary(pl):	Schemat kolorw do stylu KDE - %{_decoration}
Group:		Themes
Requires:	kdebase-core

%description -n kde-colorscheme-%{_decoration}
A gray colorscheme with blue window title and light yellow selection
background.

%description -n kde-colorscheme-%{_decoration} -l pl
Szary schemat kolorw z niebieskim tytuem okna oraz tym tem
zaznaczenia.

%prep
%setup -q -n %{_decoration}-%{version}

%build
cp -f %{_datadir}/automake/config.sub admin
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} -f Makefile.dist

%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files -n kde-colorscheme-%{_decoration}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc

%files
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin*.la
%attr(755,root,root) %{_libdir}/kde3/kwin*.so
%{_datadir}/apps/kwin/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-decoration-ridge.spec,v $
Revision 1.4  2004/05/30 13:17:28  ankry
- md5 fix

Revision 1.3  2004/05/30 11:53:50  djurban
- updaed to 0.3.1

Revision 1.2  2004/05/24 20:01:05  djurban
- use makefile.dist, htmldir moved to make install, fix amd build, rel. 2

Revision 1.1  2004/05/24 17:50:24  djurban
- new http://kde-look.org/content/pre1/10429-1.jpg
  need to copy the req's to kde-decoration-* that use the kwin III engine + cvs rm k3dnomore (works only with kde < 3.2)


